import mapsettings from '../mapData';
import MapManganer from '../index';

export default class CreateMap extends React.Component {
  constructor(props) {
    super(props);
    this.mapManganerRef = React.createRef();
    if (!window._config) {
      window._config = {
        site: '',
        mapsettings: mapsettings,
        useCoverMap: true,
      };
    }
  }

  componentDidMount() {
    window.mapManager = this.mapManganerRef.current;
  }

  render() {
    return <MapManganer mapsettings={mapsettings} ref={this.mapManganerRef} />;
  }
}
